<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formJuiz">
<p:growl id="mensagem"/>



	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 1px 1px; margin: 6px 6px">
	
	<f:facet name="header">
            Juiz
    </f:facet>
	 	 
	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" columns="4">
		 
	 <p:outputLabel value="Tipo: "/>
	 <h:selectOneMenu value="#{juizMB.juiz.tipo}" style="width:205px" required="true">
	 		<f:selectItem itemLabel= "Selecione o tipo de juiz"  noSelectionOption="true"/>
            <f:selectItem itemLabel="Árbitro" itemValue="ARBITRO" />
            <f:selectItem itemLabel="Quarto árbitro" itemValue="QUARTO_ARBITRO" />
            <f:selectItem itemLabel="Auxiliar" itemValue="AUXILIAR" />            
     </h:selectOneMenu>
	  
	 <p:outputLabel for="usuario" value="Usuário: "/>
	 <h:selectOneMenu id="usuario" converter ="ConverterUsuario" required="true" value="#{juizMB.juiz.usuario}"  style="width:205px">
     		<f:selectItem itemLabel= "Selecione o usuário" noSelectionOption="true"/>
     		<f:selectItems value="#{usuarioMB.juizes}" />
     </h:selectOneMenu>
     

	 
	 
	</p:panelGrid>
	<p:commandButton value="Cadastrar"
					 style="margin-bottom:5px; font-size: 16px; padding: 0px 0px; margin: 4px 6px"
					 action="#{juizMB.salvar}"
	                 update=":formJuiz"  
	            
	/>
	
	
	</p:panel>


</h:form>


	</ui:define>
</ui:composition>